/*teacher*/


.teacher-photo-div {
    position: relative;
    flex: 100%;
    max-width: 100%;
}



@media (max-width: 991px) {
    .teacher-photo-div {
        flex: 1;
        width: 80%;
        margin: 0 auto;
    }
}

.teacher-photo-div::before,
.teacher-photo-div::after {
    content: '';
    position: absolute;
    display: block;
    background-repeat: no-repeat;
    background-size: 100%;
}

.teacher-photo-div::before {
    background-image: url(../img/r-c.png);
    right: 0;
    bottom: 0;
    width: 245px;
    height: 230px;
    background-size: 80%;
    background-position: right bottom;
}

.teacher-photo-div::after {
    background-image: url(../img/l-c.png);
    left: 0;
    top: 0;
    width: 227px;
    height: 256px;
    background-size: 80%;
    background-position: left top;
    z-index: -1;
}

@media (max-width: 1399px) {

    .teacher-photo-div::before,
    .teacher-photo-div::after {
        background-size: 60%;
    }
}

@media (max-width: 991px) {

    .teacher-photo-div::before,
    .teacher-photo-div::after {
        background-size: 70%;
    }
}

@media (max-width: 580px) {

    .teacher-photo-div::before,
    .teacher-photo-div::after {
        background-size: 70%;
    }
}


.teacher-photo-div .teacher-img {
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #fff;
    border-radius: 50%;
    max-width: 80%;
    margin: 0 auto;
}

.teacher-photo-div .teacher-img::before {
    content: "";
    display: block;
    padding-bottom: 100%;
}

.teacher-photo-div .teacher-img::after {
    content: "";
    position: absolute;
    top: -8px;
    left: -12px;
    display: block;
    border-radius: 50%;
    width: 100%;
    height: 100%;
    border: 2px #fff solid;
    box-shadow: 0 0 5px rgba(127, 17, 132, 0.2);
}

.teacher-box {
    flex: 1;
}

.teacher-box .teacher-info {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column-reverse;
    margin: 3rem 0 0;
}

.teacher-box .teacher-info::before {
    margin-top: auto;
    content: '';
    position: absolute;
    bottom: 0px;
    left: 0;
    z-index: -1;
    display: block;
    width: 100%;
    height: 13px;
    background-color: #FFDA58;
    border-radius: 50px;
}

@media (max-width: 1399px) {
    .teacher-box .teacher-info::before {
        width: 100%;
    }
}

@media (max-width: 991px) {
    .teacher-box .teacher-info::before {
        left: 0;
    }

    .teacher-box .teacher-info {
        justify-content: space-between;
        padding: 0 2rem;
    }

    .teacher-box .teacher-info::before {
        height: 9px;
    }
}

.teacher-box .teacher-info .teacher-name {
    font-size: 30px;
    font-weight: bold;
}

.teacher-box .teacher-info .teacher-name .job {
    font-size: 20px;
    margin-left: 1rem;
}


@media (max-width: 450px) {
    .teacher-box .teacher-info {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}


.teacher-text {
    margin: 2rem;
}

@media (max-width: 991px) {
    .teacher-text {
        margin: 1rem 0;
    }
}

.teacher-text b {
    color: #A55900;
}

.teacher-detail-title,
.tc-title {
    position: relative;
}

.teacher-detail-title {
    background-color: #F0F0F0;
    padding: 9px 15px;
    margin-bottom: 1rem;
}

.teacher-detail-title .title b {
    font-size: 26px;
    color: #945897;
    letter-spacing: 3px;
    margin-right: 0.5rem;
}

.teacher-detail-title .title span {
    font-weight: 500;
    font-size: 24px;
    color: #C9C9C9;
}

.teacher-detail {
    border-left: 1px #D7D7D7 solid;
    padding-left: 0;
}


.teacher-detail .editor-content {
    padding: 0rem 1.5rem;
}

@media (max-width: 991px) {
    .teacher-detail {
        border-left: none;
        padding: 0 0.6rem;
    }
    .teacher-detail .editor-content {
        padding: 0;
    }
}


.tc-title::before {
    content: '';
    position: absolute;
    top: 50%;
    width: 100%;
    display: block;
    background-color: #D7D7D7;
    height: 1px;
    z-index: -1;
}

.tc-title .title {
    text-align: center;
    color: #7F1184;
    font-size: 26px;
    font-weight: bold;
    letter-spacing: 7px;
    margin: 3rem 0;
}


.tc-title .title span {
    position: relative;
    background-color: #fff;
    display: inline-flex;
    align-items: center;
}


.tc-title .title span::before,
.tc-title .title span::after {
    content: '';
    display: block;
}


.tc-title .title span::before {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 9.5px 0 9.5px 17px;
    border-color: transparent transparent transparent #7f1083;
    margin-right: 0.5rem;
}


.tc-title .title span::after {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 9.5px 17px 9.5px 0;
    border-color: transparent #7f1083 transparent transparent;
    margin-left: 0.5rem;
}

.teacher-detail .editor-content h3 {
    position: relative;
    color: #000;
    font-size: 24px;
    letter-spacing: 3px;
    padding: 0;
}

.teacher-detail .editor-content h3::before {
    content: '';
    display: block;
    background-image: url(../img/tea-h3-icon.png);
    background-repeat: no-repeat;
    background-position: center center;
}


.tc-list table {
    border-collapse: separate;
    border-spacing: 0;
}

.tc-list tbody tr {
    position: relative;
}

.tc-list .white-text {
    color: #fff;
}

.tc-list th {
    background-color: rgb(139 29 164);
    text-align: center;
}

.tc-list th:first-child {
    border-top-left-radius: 0.25rem;
}

.tc-list th:last-child {
    border-top-right-radius: 0.25rem;
}

.tc-list td a {
    text-decoration: none;
    color: #000;
}



/*list*/

.tc-list .courseTabList tbody tr td {
    padding: 15px 10px;
    text-align: center;
}

.tc-list .courseTabList th {
    color: #fff;
}

@media (max-width: 767px) {

    .tc-list .courseTabList tbody tr {
        border: 1px #b766ba solid;
        display: block;
        margin-bottom: 20px;
        border-radius: 5px;
    }

    .tc-list .courseTabList tbody tr td {
        text-align: left !important;
        padding: 6px 0;
        border-bottom: 1px #d9d9d9 solid;
    }

    .tc-list .courseTabList tbody tr td:last-child {
        border: none;
    }

    .tc-list .courseTabList .tag-div {
        padding: 0;
        display: inline-block;
    }

}

.tc-list .courseTabList {
    background: #fff;
    overflow: hidden;
}

.tc-list .courseTabList th,
.tc-list .courseTabList td {
    margin: 0.5em 1em;
}

.tc-list .courseTabList {
    min-width: 100%;
}

.tc-list .courseTabList th {
    display: none;
}

.tc-list .courseTabList td {
    display: block;
}

.tc-list .courseTabList td:before {
    content: attr(data-th) " : ";
    font-weight: bold;
    width: 5.5em;
    display: inline-block;
}

.tc-list .courseTabList th,
.tc-list .courseTabList td {
    text-align: left;
    padding: 10px;
}

.tc-list .courseTabList th,
.tc-list .courseTabList td:before {
    color: #000;
    font-weight: bold;
    font-size: 15px;
}

.tc-list .courseTabList th {
    text-align: center;
    color: #fff;
}

@media (min-width: 767px) {
    .tc-list .courseTabList td:before {
        display: none;
    }

    .tc-list .courseTabList th,
    .tc-list .courseTabList td {
        display: table-cell;
        padding: 0.25em 0.5em;
    }

    .tc-list .courseTabList th:first-child,
    .tc-list .courseTabList td:first-child {
        padding-left: 10px;
    }

    .tc-list .courseTabList th:last-child,
    .tc-list .courseTabList td:last-child {
        padding-right: 10px;
    }

    .tc-list .courseTabList th,
    .tc-list .courseTabList td {
        padding: 15px 0.2em;
    }

}

.tc-list table a {
    background-color: #D85B00;
    border-radius: 5px;
    color: #fff;
    padding: 10px 15px;
}

.tc-list table a:hover {
    background-color: #f59700;
    transition: all 0.3s ease-in-out;
}